//
// Created by Orest Savchak on 5/7/18.
// Copyright (c) 2018 GetSocial BV. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <GetSocial/GetSocialConstants.h>

@class SHARED_NotificationsQuery;

/*!
 * @typedef NS_ENUM(NSUInteger, GetSocialNotificationsFilter)
 * @abstract Defines query types.
 */
typedef NS_ENUM(NSUInteger, GetSocialNotificationsFilter) {
    /*!
     * @abstract No filter.
     */
    NotificationsNoFilter = 0,
    /*!
     * @abstract Notifications created before the specified activity.
     */
    NotificationsBefore,
    /*!
     * @abstract Notifications created after the specified activity.
     */
    NotificationsAfter
};

@interface GetSocialNotificationsQuery : NSObject

+ (instancetype)readAndUnread;

+ (instancetype)read;

+ (instancetype)unread;

- (void)setTypes:(NSArray *)types;

- (void)setAllTypes;

- (void)setFilter:(GetSocialNotificationsFilter)filter notificationId:(GetSocialId)activityId;

- (void)setLimit:(int)limit;

@end
