//
//  GetSocialPurchaseData.h
//  GetSocial
//
//  Copyright © 2018 GetSocial BV. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface GetSocialPurchaseData : NSObject

/*!
 * @typedef NS_ENUM(NSUInteger, GetSocialProductType)
 * @abstract Defines purchase types.
 */
typedef NS_ENUM(NSUInteger, GetSocialProductType) {
    /*!
     * @abstract Consumable or non-consumable item.
     */
    Item = 0,
    /*!
     * @abstract Subscription.
     */
    Subscription
};

@property (nonatomic, copy) NSString* productId;
@property (nonatomic) GetSocialProductType productType;
@property (nonatomic, copy) NSString* productTitle;
@property (nonatomic) float price;
@property (nonatomic, copy) NSString* priceCurrency;
@property (nonatomic) NSDate* purchaseDate;
@property (nonatomic) NSString* transactionIdentifier;

@end

NS_ASSUME_NONNULL_END
